[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

OpenIPMI initscript, package dep on OpenIPMI-libs and net-snmp-libs



Phil,

Now that the OpenIPMI-1.4.x package includes the ipmi initscript and
config file, this makes it easy to get the initscript installed, and I
want to drop them out of my DKMSified ipmi driver package.  However,
the OpenIPMI-1.4.x package includes a couple applications, which in
turn requires libraries from OpenIPMI-libs (430KB), and
libnetsnmp.so.5, which then pulls in the net-snmp-libs package (1.9MB)
to provide that.

My OMSA team is pushing back, because now the thing they need, the
initscript and config file (a few KB), is now pulling in a couple more
MB of stuff that isn't strictly required for the initscript.

Could we put the initscripts into their own tiny package, e.g.  OpenIPMI-initscript?
How would that work for upgrades, when going from a system with
OpenIPMI-1.4.x to OpenIPMI-1.4.(x+1) plus
OpenIPMI-initscript-1.4.(x+1)?

Thanks,
Matt

-- 
Matt Domsch
Software Architect
Dell Linux Solutions linux.dell.com & www.dell.com/linux
Linux on Dell mailing lists @ http://lists.us.dell.com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]